﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Editors;
using Infragistics.Windows;

namespace XamMultiCombo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            QuarterBacks = new List<QuarterBack>() 
            {
                new QuarterBack() { year = "2001", team = "SomeTeam", att = 100, comp = 50 }, 
                new QuarterBack() { year = "2002", team = "SomeTeam", att = 100, comp = 20}, 
                new QuarterBack() { year = "2002", team = "SomeTeam", att = 100, comp = 20} 
            };
            this.DataContext = QuarterBacks;
        }

        public List<QuarterBack> QuarterBacks { get; private set; }

        public class QuarterBack
        {
            public string year { get; set; }
            public string team { get; set; }
            public int comp { get; set; }
            public int att { get; set; }
        }

        CheckBox myCheckBox = null;

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            if (xamMultiColumnComboEditor1.SelectedItems.Count != xamMultiColumnComboEditor1.Items.Count)
            {
                xamMultiColumnComboEditor1.SelectedItems.Clear();
                foreach (var item in xamMultiColumnComboEditor1.Items)
                {
                    xamMultiColumnComboEditor1.SelectedItems.Add(item.Data);
                }
            }            
        }

        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            xamMultiColumnComboEditor1.SelectedItems.Clear();
        }

        private void xamMultiColumnComboEditor1_SelectionChanged(object sender, EventArgs e)
        {
            if ((sender as XamMultiColumnComboEditor).SelectedItems.Count == 0)
            {
                myCheckBox.IsChecked = false;
            }
            if ((sender as XamMultiColumnComboEditor).SelectedItems.Count == (sender as XamMultiColumnComboEditor).Items.Count)
            {
                myCheckBox.IsChecked = true;
            }
        }

        private void checkBox1_Loaded(object sender, RoutedEventArgs e)
        {
            myCheckBox = sender as CheckBox;
        }

    }
}
